%define pkg_name        Pod-XML
%define pkg_version     0.99
%define rpm_pkg_version 0.99
%define rpm_pkg_release 1.n0i.4

Summary:       Generate XML from POD
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MW/MWILSON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Pod::Parser) >= 1
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::More)
%endif


%description
This module uses Pod::Parser to parse POD and generates XML from the
resulting parse stream.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.99-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.99

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 0.96-1.n0i.3
- version 0.96

* Thu May 25 2006 Marius Feraru <altblue@n0i.net> - 0.95-1.n0i.2
- version 0.95

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.93-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
